# FlowData Class Reference

class managing the data sets and related stuff like data loading, channels creation etc. More...

`#include <FlowData.h>`

Collaboration diagram for FlowData:
[legend]

List of all members.

## Public Member Functions
| FlowData ()
| initializes the channel storage
| ~FlowData ()
| destoys all created channels
bool | loadDataset (string filename, bool bigEndian)
| Loads a dataset, returns true if everything successful. You have to specify the byte order used in the data.
int | getNumTimesteps () const
| Returns the number of timesteps.
int | getNumChannels () const
int | createChannel (int timesteps)
| creates a new channel and returns it's address in the channels array (line 28)
FlowChannel * | getChannel (int i) const
| returns a pointer to the instance of channel at given adress. This is the only way to access the channels storage (at line 28)
FlowChannel * | getGeoChannel (int dim) const
FlowGeometry * | getFlowGeometry ()
FlowChannel * | getStreamVelocityChannel () const
## Private Attributes
bool | loaded
| Is there any data loaded?
int | timesteps
| Number of timesteps.
FlowGeometry | geometry
| Stores the underlying geometry.
int | m_numChannels
FlowChannel * | channels [max_channels]
| stores the values of data channels for one time step. For time-dependent data, the best solution is to create a separate class handling channels in one timestep and to instanciate this class for all timesteps.
FlowChannel * | geoChannels [3]
FlowChannel * | streamVelocityChannel

## Detailed Description

class managing the data sets and related stuff like data loading, channels creation etc.

## Constructor & Destructor Documentation

FlowData::FlowData | ( |  | ) |

initializes the channel storage

FlowData::~FlowData | ( |  | ) |

destoys all created channels

## Member Function Documentation

int FlowData::createChannel | ( | int | timesteps | ) |

creates a new channel and returns it's address in the channels array (line 28)

FlowChannel * FlowData::getChannel | ( | int | i | ) | const

returns a pointer to the instance of channel at given adress. This is the only way to access the channels storage (at line 28)

FlowGeometry * FlowData::getFlowGeometry | ( |  | ) |

FlowChannel * FlowData::getGeoChannel | ( | int | dim | ) | const

int FlowData::getNumChannels | ( |  | ) | const

int FlowData::getNumTimesteps | ( |  | ) | const

Returns the number of timesteps.

FlowChannel * FlowData::getStreamVelocityChannel | ( |  | ) | const

bool FlowData::loadDataset | ( | string | filename,
|  | bool | bigEndian |
| ) |  |  |

Loads a dataset, returns true if everything successful. You have to specify the byte order used in the data.

## Member Data Documentation

FlowChannel* FlowData::channels[max_channels]`[private]`

stores the values of data channels for one time step. For time-dependent data, the best solution is to create a separate class handling channels in one timestep and to instanciate this class for all timesteps.

FlowChannel* FlowData::geoChannels[3]`[private]`

FlowGeometry FlowData::geometry`[private]`

Stores the underlying geometry.

bool FlowData::loaded`[private]`

Is there any data loaded?

int FlowData::m_numChannels`[private]`

FlowChannel* FlowData::streamVelocityChannel`[private]`

int FlowData::timesteps`[private]`

Number of timesteps.

The documentation for this class was generated from the following files:

- F:/Meine Dateien/Visual Studio 2005/Projects/InsightFlow/header/FlowData.h
- F:/Meine Dateien/Visual Studio 2005/Projects/InsightFlow/src/FlowData.cpp